Page MenuHomePhabricator

Performance review of enhancements to OAuth extension
Closed, ResolvedPublic

Description

Description

We are developing a publicly accessible API portal. The work is described by the API Gateway documentation plan.

As part of this project we will be launching a new wiki on which will make API requests to new API endpoints implemented by the OAuth extension hosted on meta.

Preview environment

TBD

Which code to review

This task is a placeholder. I will update the description when the extension enhancements are ready for review.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2020, 10:39 PM
Tgr added a subscriber: Tgr.Jun 10 2020, 12:02 PM
Gilles claimed this task.Jun 15 2020, 7:55 PM
Gilles moved this task from Inbox to Backlog: Future Goals on the Performance-Team board.
Gilles changed the task status from Open to Stalled.Jun 17 2020, 7:00 PM

Please change the status back to open once it's ready for review. Thanks!

WDoranWMF changed the task status from Stalled to Open.Jun 25 2020, 2:49 PM
WDoranWMF added a subscriber: WDoranWMF.

@Gilles Updating the status as this should now be ready for review.

@WDoranWMF can someone add to the description a link to the code and where it can be tried live (beta?). Thanks!

Gilles triaged this task as Medium priority.Jun 29 2020, 11:40 AM
WDoranWMF updated the task description. (Show Details)Jun 29 2020, 6:56 PM

@Gilles Updated the description the patch is still in review, we wanted to get perf review there to make changes before merging. Is that acceptable?

Gilles closed this task as Resolved.Aug 6 2020, 8:59 AM

I don't see any performance concern with this patch. Its read DB queries are hitting an index, and the write query is using an existing OAuth function. I don't anticipate that future changes as it keep going through review will introduce any potential performance issue.